demos/quick-start/bin/test
#!/bin/bash
set -e
CURRENT_DIR="$(dirname "$0")"
echo "Cleaning up old runners..."
"$CURRENT_DIR/stop" || true
echo "Clean up complete"
pushd test &>/dev/null
cleanup() {
local exit_status=$?
docker compose rm -fsv || true
exit $exit_status
}
trap cleanup EXIT ABRT QUIT ERR
docker compose up -d quickstart
# Used to show in the builds what the test image is doing
docker compose logs quickstart &
echo "Waiting for services to be running.."
until docker compose exec -T quickstart ls /run/postgresql/.init &>/dev/null; do
sleep 1s
done
docker compose run -T test-client